library Delayla;

{$include RELEASE_SETTINGS.INC}
{$include DAV_Compiler.inc}
{$include VSTPLUGIN_SWITCHES.INC}

uses
  {$IFDEF FPC}
  Interfaces,
  {$ELSE}
  Windows,
  {$ENDIF}
  Forms,
  DAV_VSTEffect,
  DAV_VSTModule,
  DelaylaModule in 'DelaylaModule.pas' {SimpleDelayVST: TVST2Module},
  DelaylaGUI in 'DelaylaGUI.pas' {VSTGUI};

  
function main(audioMaster: TAudioMasterCallbackFunc): PVSTEffect; cdecl; export;
var SimpleDelay : TSimpleDelayVST;
begin
  try
    SimpleDelay              := TSimpleDelayVST.Create(Application);
    SimpleDelay.Effect^.user := SimpleDelay;
    SimpleDelay.AudioMaster  := audioMaster;
    Result                   := SimpleDelay.Effect;
  except
    Result:= nil;
  end;
end;


exports 
  Main name 'main',
  Main name 'VSTPluginMain';

  
begin
  {$IFDEF FPC}Application.Initialize;{$ENDIF}
end.
