unit DelaylaGUI;

{$include RELEASE_SETTINGS.INC}
{$include DAV_Compiler.inc}
{$include VSTPLUGIN_SWITCHES.INC}

interface

uses
  {$IFDEF FPC}
  Interfaces,
  {$ELSE}
  Windows,
  {$ENDIF}
  SysUtils, Classes, Forms, Controls, StdCtrls, 
  DAV_VSTModule;

  
type
  TVSTGUI = class(TForm)
    SampleBar: TScrollBar;
    LbSamples: TLabel;
    procedure SampleBarChange(Sender: TObject);
  private
    //
  public
    //
  end;

  
implementation

{$IFDEF FPC}
  {$R *.lfm}
{$ELSE}
  {$R *.dfm}
{$ENDIF}

uses 
  DelaylaModule;

  
procedure TVSTGUI.SampleBarChange(Sender: TObject);
begin
  LbSamples.Caption:= IntToStr( SampleBar.Position);
  TSimpleDelayVST(Owner).Parameter[0]:= SampleBar.Position;
end;


end.
